/****************************************************************************
 * This file is part of the project AqHome.
 * AqHome (c) by 2023 Martin Preuss, all rights reserved.
 *
 * The license for this file can be found in the file COPYING which you
 * should have received along with this file.
 ****************************************************************************/

#ifndef AQH_MSG_VALUE2_H
#define AQH_MSG_VALUE2_H


#include <aqhome/api.h>
#include <aqhome/msg/msg_node.h>

#include <gwenhywfar/msg.h>
#include <gwenhywfar/buffer.h>



#define AQH_MSG_VALUE2_TYPE_TEMP     1
#define AQH_MSG_VALUE2_TYPE_HUMIDITY 2



AQHOME_API uint32_t AQH_Value2Msg_GetUid(const GWEN_MSG *msg);
AQHOME_API uint8_t AQH_Value2Msg_GetValueId(const GWEN_MSG *msg);
AQHOME_API uint8_t AQH_Value2Msg_GetValueType(const GWEN_MSG *msg);
AQHOME_API int16_t AQH_Value2Msg_GetValueNom(const GWEN_MSG *msg);
AQHOME_API int16_t AQH_Value2Msg_GetValueDenom(const GWEN_MSG *msg);

AQHOME_API double AQH_Value2Msg_GetValue(const GWEN_MSG *msg);


AQHOME_API void AQH_Value2Msg_DumpToBuffer(const GWEN_MSG *msg, GWEN_BUFFER *dbuf, const char *sText);



#endif



